%define        pkgver  %(echo %version | tr . -)
%define        javahome   %{_jvmdir}/jdk
Name:          java-saxon6
Version:       6.5.5
Release:       4mamba
Summary:       Java XSLT processor
Group:         Development/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://saxon.sourceforge.net
Source0:       http://downloads.sourceforge.net/sourceforge/saxon/saxon%{pkgver}.zip
Source1:       java-saxon.saxon.script
Source2:       java-saxon.build.script
Source3:       java-saxon.1
License:       MPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
Requires:      javapackages
Provides:      java-saxon6-jdom
Obsoletes:     java-saxon6-jdom <= 6.5.5-3mamba
Obsoletes:     java-saxon6-aelfred <= 6.5.5-3mamba

%description
The SAXON package is a collection of tools for processing XML documents.

%prep
%setup -q -c %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
install -pm 644 saxon.jar %{buildroot}%{_javadir}/saxon-%{version}.jar

#install -pm 644 build/lib/saxon-aelfred.jar \
#    %{buildroot}%{_javadir}/saxon-aelfred-%{version}.jar

install -pm 644 saxon-jdom.jar \
    %{buildroot}%{_javadir}/saxon-jdom-%{version}.jar

install -pm 644 saxon-xml-apis.jar \
    %{buildroot}%{_javadir}/saxon-xml-apis-%{version}.jar

# MANIFEST-only jar
#install -pm 644 build/lib/saxon-fop.jar \
#    %{buildroot}%{_javadir}/saxon-fop-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
update-alternatives --install %{_javadir}/jaxp_transform_impl.jar jaxp_transform_impl %{_javadir}/saxon.jar 20

%preun
{
  [ $1 = 0 ] || exit 0
  update-alternatives --remove jaxp_transform_impl %{_javadir}/saxon.jar
} >/dev/null 2>&1 || :

%files
%defattr(-,root,root)
%{_javadir}/saxon-%{version}.jar
%{_javadir}/saxon.jar
%{_javadir}/saxon-jdom-%{version}.jar
%{_javadir}/saxon-jdom.jar
%{_javadir}/saxon-xml-apis-%{version}.jar
%{_javadir}/saxon-xml-apis.jar
%ghost %{_javadir}/jaxp_transform_impl.jar

%changelog
* Fri Aug 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.5-4mamba
- repackages using prebuilt jars

* Thu Mar 24 2011 gil <puntogil@libero.it> 6.5.5-3mamba
- rebuilt with java-gcj-compat support

* Fri Nov 26 2010 gil <puntogil@libero.it> 6.5.5-2mamba
- rebuilt devel

* Wed Feb 25 2009 gil <puntogil@libero.it> 6.5.5-1mamba
- package created by autospec